Update calendar by ID.
PUT https://services.leadconnectorhq.com/calendars/{calendarId}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
calendarId | string | Yes | ocQHyuzHvysMo5N5VsXc | Calendar Id |
Body
notifications(object[]): 🚨 Deprecated! Please use 'Calendar Notifications APIs' instead.type(string): Calendar Notification Possible values: 'email' Example:emailshouldSendToContact(boolean, required)shouldSendToGuest(boolean, required)shouldSendToUser(boolean, required)shouldSendToSelectedUsers(boolean, required)selectedUsers(string, required): Comma separated emails Example:user1@testemail.com,user2@testemail.com
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
groupId | string | No | BqTwX8QFwXzpegMve9EQ | Group Id |
teamMembers(object[]): Team members are required for calendars of type: Round Robin, Collective, Class, Service. Personal calendar must have exactly one team member.userId(string, required): Example:ocQHyuzHvysMo5N5VsXcpriority(number): Possible values: 0, 0.5, 1meetingLocationType(string): 🚨 Deprecated! UselocationConfigurations.kindinstead. Possible values: 'custom', 'zoom', 'gmeet', 'phone', 'address', 'teams', 'booker' Example:custommeetingLocation(string): 🚨 Deprecated! UselocationConfigurations.accountinstead.isPrimary(boolean): Marks a user as primary. This property is required in case of collective booking calendars. Only one user can be primary.locationConfigurations(object[]): Meeting account configuration for event calendar. - Multiple accounts are allowed only when one team member is selected. - For Class booking and Collective calendars, only one account configuration is allowed for each team member.kind(string, required): Type of meeting account. zoom_conference/google_conference/ms_teams_conference is not supported in event calendar type Possible values: 'custom', 'zoom_conference', 'google_conference', 'inbound_call', 'outbound_call', 'physical', 'booker', 'ms_teams_conference' Example:customlocation(string): Address for meeting account. Not applicable on "zoom_conference", "google_conference" and "ms_teams_conference" kind
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
eventType | string | No | Possible values: 'RoundRobin_OptimizeForAvailability', 'RoundRobin_OptimizeForEqualDistribution' | |
name | string | No | test calendar | |
description | string | No | this is used for testing | |
slug | string | No | test1 | |
widgetSlug | string | No | test1 | |
widgetType | string | No | classic | Calendar widget type. Choose "default" for "neo" and "classic" for "classic" layout. Possible values: 'default', 'classic' |
eventTitle | string | No | ||
eventColor | string | No |
locationConfigurations(object[]): Meeting account configuration for event calendarkind(string, required): Type of meeting account. zoom_conference/google_conference/ms_teams_conference is not supported in event calendar type Possible values: 'custom', 'zoom_conference', 'google_conference', 'inbound_call', 'outbound_call', 'physical', 'booker', 'ms_teams_conference' Example:customlocation(string): Address for meeting account. Not applicable on "zoom_conference", "google_conference" and "ms_teams_conference" kind
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
meetingLocation | string | No | 🚨 Deprecated! Use locationConfigurations.account or teamMembers[].locationConfigurations.account instead. | |
slotDuration | number | No | This controls the duration of the meeting | |
slotDurationUnit | string | No | Unit for slot duration. Possible values: 'mins', 'hours' | |
preBufferUnit | string | No | Unit for pre-buffer. Possible values: 'mins', 'hours' | |
slotInterval | number | No | Slot interval reflects the amount of time the between booking slots that will be shown in the calendar. | |
slotIntervalUnit | string | No | Unit for slot interval. Possible values: 'mins', 'hours' | |
slotBuffer | number | No | Slot-Buffer is additional time that can be added after an appointment, allowing for extra time to wrap up | |
preBuffer | number | No | Pre-Buffer is additional time that can be added before an appointment, allowing for extra time to get ready | |
appoinmentPerSlot | number | No | ||
appoinmentPerDay | number | No | Number of appointments that can be booked for a given day | |
allowBookingAfter | number | No | Minimum scheduling notice for events | |
allowBookingAfterUnit | string | No | days | Unit for minimum scheduling notice Possible values: 'hours', 'days', 'weeks', 'months' |
allowBookingFor | number | No | Minimum number of days/weeks/months for which to allow booking events | |
allowBookingForUnit | string | No | days | Unit for controlling the duration for which booking would be allowed for Possible values: 'days', 'weeks', 'months' |
openHours(object[])daysOfTheWeek(number[], required)hours(object[], required)openHour(number, required)openMinute(number, required)closeHour(number, required)closeMinute(number, required)
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
enableRecurring | boolean | No | Enable recurring appointments for the calendars. Please note that only one member should be added in the calendar to enable this |
recurring(object)freq(string): Possible values: 'DAILY', 'WEEKLY', 'MONTHLY'count(number): Number of recurrencesbookingOption(string): This setting contols what to do incase a recurring slot is unavailable Possible values: 'skip', 'continue', 'book_next'bookingOverlapDefaultStatus(string): This setting contols what to do incase a recurring slot is unavailable Possible values: 'confirmed', 'new'
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
formId | string | No | ||
stickyContact | boolean | No | ||
isLivePaymentMode | boolean | No | ||
autoConfirm | boolean | No | ||
shouldSendAlertEmailsToAssignedMember | boolean | No | ||
alertEmail | string | No | ||
googleInvitationEmails | boolean | No | ||
allowReschedule | boolean | No | ||
allowCancellation | boolean | No | ||
shouldAssignContactToTeamMember | boolean | No | ||
shouldSkipAssigningContactForExisting | boolean | No | ||
notes | string | No | ||
pixelId | string | No | ||
formSubmitType | string | No | Possible values: 'RedirectURL', 'ThankYouMessage' | |
formSubmitRedirectURL | string | No | ||
formSubmitThanksMessage | string | No | ||
availabilityType | number | No | Determines which availability type to consider: - 1: Only custom availabilities will be used. - 0: Only open hours will be used. - null: Both the custom availabilities and open hours will be considered. Possible values: 0, 1 |
availabilities(object[]): This is only to set the custom availability. For standard availability, use the openHours propertydate(string, required): Formulate the date string in the format of<YYYY-MM-DD in local timezone>T00:00:00.000Z. Example:2023-09-24T00:00:00.000Zhours(object[], required)openHour(number, required)openMinute(number, required)closeHour(number, required)closeMinute(number, required)
deleted(boolean)id(string): The ID of the custom availability object. It is required while updating or deleting the existing custom date availability
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
guestType | string | No | Possible values: 'count_only', 'collect_detail' | |
consentLabel | string | No | ||
calendarCoverImage | string | No | ||
lookBusyConfig | object | No | Look Busy Configuration | |
isActive | boolean | No |
Responses
200 - Successful response
calendar(object, required)isActive(boolean): Should the created calendar be active or draftnotifications(object[]): 🚨 Deprecated! Please use 'Calendar Notifications APIs' instead.type(string): Calendar Notification Possible values: 'email' Example:emailshouldSendToContact(boolean, required)shouldSendToGuest(boolean, required)shouldSendToUser(boolean, required)shouldSendToSelectedUsers(boolean, required)selectedUsers(string, required): Comma separated emails Example:user1@testemail.com,user2@testemail.com
locationId(string, required): Example:ocQHyuzHvysMo5N5VsXcgroupId(string): Group Id Example:BqTwX8QFwXzpegMve9EQteamMembers(object[]): Team members are for calendars of type: Round Robin, Collective, Class, Service. Personal calendar must have exactly one team member.userId(string, required): Example:ocQHyuzHvysMo5N5VsXcpriority(number): Possible values: 0, 0.5, 1meetingLocationType(string): 🚨 Deprecated! UselocationConfigurations.kindinstead. Possible values: 'custom', 'zoom', 'gmeet', 'phone', 'address', 'teams', 'booker' Example:custommeetingLocation(string): 🚨 Deprecated! UselocationConfigurations.accountinstead.isPrimary(boolean): Marks a user as primary. This property is required in case of collective booking calendars. Only one user can be primary.locationConfigurations(object[]): Meeting account configurationskind(string, required): Type of meeting account. zoom_conference/google_conference/ms_teams_conference is not supported in event calendar type Possible values: 'custom', 'zoom_conference', 'google_conference', 'inbound_call', 'outbound_call', 'physical', 'booker', 'ms_teams_conference' Example:customlocation(string): Address for meeting account. Not applicable on "zoom_conference", "google_conference" and "ms_teams_conference" kindmeetingId(string): Unique ID used to select a specific meeting account Example:my_conference_id
eventType(string): Possible values: 'RoundRobin_OptimizeForAvailability', 'RoundRobin_OptimizeForEqualDistribution'name(string, required): Example:test calendardescription(string): Example:this is used for testingslug(string): Example:test1widgetSlug(string): Example:test1calendarType(string): Possible values: 'round_robin', 'event', 'class_booking', 'collective', 'service_booking', 'personal'widgetType(string): Calendar widget type. Choose "default" for "neo" and "classic" for "classic" layout. Possible values: 'default', 'classic' Example:classiceventTitle(string)eventColor(string)meetingLocation(string): 🚨 Deprecated! UselocationConfigurations.accountorteamMembers[].locationConfigurations.accountinstead.locationConfigurations(object[]): Meeting account configuration for event calendarkind(string, required): Type of meeting account. zoom_conference/google_conference/ms_teams_conference is not supported in event calendar type Possible values: 'custom', 'zoom_conference', 'google_conference', 'inbound_call', 'outbound_call', 'physical', 'booker', 'ms_teams_conference' Example:customlocation(string): Address for meeting account. Not applicable on "zoom_conference", "google_conference" and "ms_teams_conference" kindmeetingId(string): Unique ID used to select a specific meeting account Example:my_conference_id
slotDuration(number): This controls the duration of the meetingslotDurationUnit(string): Unit for slot duration. Possible values: 'mins', 'hours'slotInterval(number): Slot interval reflects the amount of time the between booking slots that will be shown in the calendar.slotIntervalUnit(string): Unit for slot interval. Possible values: 'mins', 'hours'slotBuffer(number): Slot-Buffer is additional time that can be added after an appointment, allowing for extra time to wrap upslotBufferUnit(string): Unit for slot buffer. Possible values: 'mins', 'hours'preBuffer(number): Pre-Buffer is additional time that can be added before an appointment, allowing for extra time to get readypreBufferUnit(string): Unit for pre-buffer. Possible values: 'mins', 'hours'appoinmentPerSlot(number): Maximum bookings per slot (per user). Maximum seats per slot in case of Class Booking Calendar.appoinmentPerDay(number): Number of appointments that can be booked for a given dayallowBookingAfter(number): Minimum scheduling notice for eventsallowBookingAfterUnit(string): Unit for minimum scheduling notice Possible values: 'hours', 'days', 'weeks', 'months' Example:daysallowBookingFor(number): Minimum number of days/weeks/months for which to allow booking eventsallowBookingForUnit(string): Unit for controlling the duration for which booking would be allowed for Possible values: 'days', 'weeks', 'months' Example:daysopenHours(object[]): This is only to set the standard availability. For custom availability, use the availabilities propertydaysOfTheWeek(number[], required)hours(object[], required)openHour(number, required)openMinute(number, required)closeHour(number, required)closeMinute(number, required)
enableRecurring(boolean): Enable recurring appointments for the calendars. Please note that only one member should be added in the calendar to enable thisrecurring(object)freq(string): Possible values: 'DAILY', 'WEEKLY', 'MONTHLY'count(number): Number of recurrencesbookingOption(string): This setting contols what to do incase a recurring slot is unavailable Possible values: 'skip', 'continue', 'book_next'bookingOverlapDefaultStatus(string): This setting contols what to do incase a recurring slot is unavailable Possible values: 'confirmed', 'new'
formId(string)stickyContact(boolean)isLivePaymentMode(boolean)autoConfirm(boolean)shouldSendAlertEmailsToAssignedMember(boolean)alertEmail(string)googleInvitationEmails(boolean)allowReschedule(boolean)allowCancellation(boolean)shouldAssignContactToTeamMember(boolean)shouldSkipAssigningContactForExisting(boolean)notes(string)pixelId(string)formSubmitType(string): Possible values: 'RedirectURL', 'ThankYouMessage'formSubmitRedirectURL(string)formSubmitThanksMessage(string)availabilityType(number): Determines which availability type to consider: - 1: Only custom availabilities will be used. - 0: Only open hours will be used. - null: Both custom availabilities and open hours will be considered. Possible values: 0, 1availabilities(object[]): This is only to set the custom availability. For standard availability, use the openHours propertydate(string, required): Formulate the date string in the format of<YYYY-MM-DD in local timezone>T00:00:00.000Z. Example:2023-09-24T00:00:00.000Zhours(object[], required)openHour(number, required)openMinute(number, required)closeHour(number, required)closeMinute(number, required)
deleted(boolean)
guestType(string): Possible values: 'count_only', 'collect_detail'consentLabel(string)calendarCoverImage(string): Example:https://path-to-image.comlookBusyConfig(object): Look Busy Configurationid(string, required): Example:0TkCdp9PfvLeWKYRRvIz
{
"calendar": {
"isActive": true,
"notifications": [
{
"type": "email",
"shouldSendToContact": true,
"shouldSendToGuest": true,
"shouldSendToUser": true,
"shouldSendToSelectedUsers": true,
"selectedUsers": "user1@testemail.com,user2@testemail.com"
}
],
"locationId": "ocQHyuzHvysMo5N5VsXc",
"groupId": "BqTwX8QFwXzpegMve9EQ",
"teamMembers": [
{
"userId": "ocQHyuzHvysMo5N5VsXc",
"priority": 0.5,
"meetingLocationType": "custom",
"meetingLocation": "string",
"isPrimary": true,
"locationConfigurations": []
}
],
"eventType": "RoundRobin_OptimizeForAvailability",
"name": "test calendar",
"description": "this is used for testing",
"slug": "test1",
"widgetSlug": "test1",
"calendarType": "round_robin",
"widgetType": "classic",
"eventTitle": "{{contact.name}}",
"eventColor": "#039be5",
"meetingLocation": "string",
"locationConfigurations": [
{
"kind": "custom",
"location": "string",
// truncado: 60 lineas mas
}400 - Bad Request
{}Example
curl -X PUT 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"notifications": [
{
"type": "email",
"shouldSendToContact": true,
"shouldSendToGuest": true,
"shouldSendToUser": true,
"shouldSendToSelectedUsers": true,
"selectedUsers": "user1@testemail.com,user2@testemail.com"
}
],
"groupId": "BqTwX8QFwXzpegMve9EQ",
"teamMembers": [
{
"userId": "ocQHyuzHvysMo5N5VsXc",
"priority": 0.5,
"meetingLocationType": "custom",
"meetingLocation": "string",
"isPrimary": true,
"locationConfigurations": [
{}
]
}
],
"eventType": "RoundRobin_OptimizeForAvailability",
"name": "test calendar",
"description": "this is used for testing",
"slug": "test1",
"widgetSlug": "test1",
"widgetType": "classic",
"eventTitle": "string",
"eventColor": "#039be5",
"locationConfigurations": [
{
"kind": "custom",
"location": "string"
}
],
"meetingLocation": "string",
"slotDuration": 30,
"slotDurationUnit": "mins",
"preBufferUnit": "mins",
"slotInterval": 30,
"slotIntervalUnit": "mins",
"slotBuffer": 0,
"preBuffer": 0,
"appoinmentPerSlot": 0,
"appoinmentPerDay": 0,
"allowBookingAfter": 0,
"allowBookingAfterUnit": "days",
"allowBookingFor": 0,
"allowBookingForUnit": "days",
"openHours": [
{
"daysOfTheWeek": [
0
],
"hours": [
{}
]
}
],
"enableRecurring": false,
"recurring": {
"freq": "DAILY",
"count": 0,
"bookingOption": "skip",
"bookingOverlapDefaultStatus": "confirmed"
},
"formId": "string",
"stickyContact": true,
"isLivePaymentMode": true,
"autoConfirm": true,
"shouldSendAlertEmailsToAssignedMember": true,
"alertEmail": "string",
"googleInvitationEmails": true,
"allowReschedule": true,
"allowCancellation": true,
"shouldAssignContactToTeamMember": true,
"shouldSkipAssigningContactForExisting": true,
"notes": "string",
"pixelId": "string",
"formSubmitType": "ThankYouMessage",
"formSubmitRedirectURL": "string",
"formSubmitThanksMessage": "string",
"availabilityType": 0,
"availabilities": [
{
"date": "2023-09-24T00:00:00.000Z",
"hours": [
{}
],
"deleted": false,
"id": "string"
}
],
"guestType": "count_only",
"consentLabel": "string",
"calendarCoverImage": "string",
"isActive": true
}'const response = await fetch('https://services.leadconnectorhq.com/calendars/YOUR_calendarId', {
method: 'PUT',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"notifications": [{"type": "email", "shouldSendToContact": true, "shouldSendToGuest": true, "shouldSendToUser": true, "shouldSendToSelectedUsers": true, "selectedUsers": "user1@testemail.com,user2@testemail.com"}], "groupId": "BqTwX8QFwXzpegMve9EQ", "teamMembers": [{"userId": "ocQHyuzHvysMo5N5VsXc", "priority": 0.5, "meetingLocationType": "custom", "meetingLocation": "string", "isPrimary": true, "locationConfigurations": [{}]}], "eventType": "RoundRobin_OptimizeForAvailability", "name": "test calendar", "description": "this is used for testing", "slug": "test1", "widgetSlug": "test1", "widgetType": "classic", "eventTitle": "string", "eventColor": "#039be5", "locationConfigurations": [{"kind": "custom", "location": "string"}], "meetingLocation": "string", "slotDuration": 30, "slotDurationUnit": "mins", "preBufferUnit": "mins", "slotInterval": 30, "slotIntervalUnit": "mins", "slotBuffer": 0, "preBuffer": 0, "appoinmentPerSlot": 0, "appoinmentPerDay": 0, "allowBookingAfter": 0, "allowBookingAfterUnit": "days", "allowBookingFor": 0, "allowBookingForUnit": "days", "openHours": [{"daysOfTheWeek": [0], "hours": [{}]}], "enableRecurring": false, "recurring": {"freq": "DAILY", "count": 0, "bookingOption": "skip", "bookingOverlapDefaultStatus": "confirmed"}, "formId": "string", "stickyContact": true, "isLivePaymentMode": true, "autoConfirm": true, "shouldSendAlertEmailsToAssignedMember": true, "alertEmail": "string", "googleInvitationEmails": true, "allowReschedule": true, "allowCancellation": true, "shouldAssignContactToTeamMember": true, "shouldSkipAssigningContactForExisting": true, "notes": "string", "pixelId": "string", "formSubmitType": "ThankYouMessage", "formSubmitRedirectURL": "string", "formSubmitThanksMessage": "string", "availabilityType": 0, "availabilities": [{"date": "2023-09-24T00:00:00.000Z", "hours": [{}], "deleted": false, "id": "string"}], "guestType": "count_only", "consentLabel": "string", "calendarCoverImage": "string", "isActive": true}),
});
const data = await response.json();import os, requests
response = requests.request(
'PUT',
'https://services.leadconnectorhq.com/calendars/YOUR_calendarId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"notifications": [{"type": "email", "shouldSendToContact": true, "shouldSendToGuest": true, "shouldSendToUser": true, "shouldSendToSelectedUsers": true, "selectedUsers": "user1@testemail.com,user2@testemail.com"}], "groupId": "BqTwX8QFwXzpegMve9EQ", "teamMembers": [{"userId": "ocQHyuzHvysMo5N5VsXc", "priority": 0.5, "meetingLocationType": "custom", "meetingLocation": "string", "isPrimary": true, "locationConfigurations": [{}]}], "eventType": "RoundRobin_OptimizeForAvailability", "name": "test calendar", "description": "this is used for testing", "slug": "test1", "widgetSlug": "test1", "widgetType": "classic", "eventTitle": "string", "eventColor": "#039be5", "locationConfigurations": [{"kind": "custom", "location": "string"}], "meetingLocation": "string", "slotDuration": 30, "slotDurationUnit": "mins", "preBufferUnit": "mins", "slotInterval": 30, "slotIntervalUnit": "mins", "slotBuffer": 0, "preBuffer": 0, "appoinmentPerSlot": 0, "appoinmentPerDay": 0, "allowBookingAfter": 0, "allowBookingAfterUnit": "days", "allowBookingFor": 0, "allowBookingForUnit": "days", "openHours": [{"daysOfTheWeek": [0], "hours": [{}]}], "enableRecurring": false, "recurring": {"freq": "DAILY", "count": 0, "bookingOption": "skip", "bookingOverlapDefaultStatus": "confirmed"}, "formId": "string", "stickyContact": true, "isLivePaymentMode": true, "autoConfirm": true, "shouldSendAlertEmailsToAssignedMember": true, "alertEmail": "string", "googleInvitationEmails": true, "allowReschedule": true, "allowCancellation": true, "shouldAssignContactToTeamMember": true, "shouldSkipAssigningContactForExisting": true, "notes": "string", "pixelId": "string", "formSubmitType": "ThankYouMessage", "formSubmitRedirectURL": "string", "formSubmitThanksMessage": "string", "availabilityType": 0, "availabilities": [{"date": "2023-09-24T00:00:00.000Z", "hours": [{}], "deleted": false, "id": "string"}], "guestType": "count_only", "consentLabel": "string", "calendarCoverImage": "string", "isActive": true},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/calendars/YOUR_calendarId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'notifications': [{'type': 'email', 'shouldSendToContact': true, 'shouldSendToGuest': true, 'shouldSendToUser': true, 'shouldSendToSelectedUsers': true, 'selectedUsers': 'user1@testemail.com,user2@testemail.com'}], 'groupId': 'BqTwX8QFwXzpegMve9EQ', 'teamMembers': [{'userId': 'ocQHyuzHvysMo5N5VsXc', 'priority': 0.5, 'meetingLocationType': 'custom', 'meetingLocation': 'string', 'isPrimary': true, 'locationConfigurations': [{}]}], 'eventType': 'RoundRobin_OptimizeForAvailability', 'name': 'test calendar', 'description': 'this is used for testing', 'slug': 'test1', 'widgetSlug': 'test1', 'widgetType': 'classic', 'eventTitle': 'string', 'eventColor': '#039be5', 'locationConfigurations': [{'kind': 'custom', 'location': 'string'}], 'meetingLocation': 'string', 'slotDuration': 30, 'slotDurationUnit': 'mins', 'preBufferUnit': 'mins', 'slotInterval': 30, 'slotIntervalUnit': 'mins', 'slotBuffer': 0, 'preBuffer': 0, 'appoinmentPerSlot': 0, 'appoinmentPerDay': 0, 'allowBookingAfter': 0, 'allowBookingAfterUnit': 'days', 'allowBookingFor': 0, 'allowBookingForUnit': 'days', 'openHours': [{'daysOfTheWeek': [0], 'hours': [{}]}], 'enableRecurring': false, 'recurring': {'freq': 'DAILY', 'count': 0, 'bookingOption': 'skip', 'bookingOverlapDefaultStatus': 'confirmed'}, 'formId': 'string', 'stickyContact': true, 'isLivePaymentMode': true, 'autoConfirm': true, 'shouldSendAlertEmailsToAssignedMember': true, 'alertEmail': 'string', 'googleInvitationEmails': true, 'allowReschedule': true, 'allowCancellation': true, 'shouldAssignContactToTeamMember': true, 'shouldSkipAssigningContactForExisting': true, 'notes': 'string', 'pixelId': 'string', 'formSubmitType': 'ThankYouMessage', 'formSubmitRedirectURL': 'string', 'formSubmitThanksMessage': 'string', 'availabilityType': 0, 'availabilities': [{'date': '2023-09-24T00:00:00.000Z', 'hours': [{}], 'deleted': false, 'id': 'string'}], 'guestType': 'count_only', 'consentLabel': 'string', 'calendarCoverImage': 'string', 'isActive': true}),
]);
$data = json_decode(curl_exec($ch), true);